Package Details: bitcoind-unlimited-git 1.0.3.0.r1124.g21a81e275-1

Git Clone URL: https://aur.archlinux.org/bitcoind-unlimited-git.git (read-only)
Package Base: bitcoind-unlimited-git
Description: Bitcoin Unlimited versions of bitcoind, bitcoin-cli, and bitcoin-tx
Upstream URL: https://www.bitcoinunlimited.info
Licenses: MIT
Conflicts: bitcoin, bitcoin-cli, bitcoin-daemon, bitcoin-qt, bitcoin-tx, bitcoin-unlimited
Provides: bitcoin, bitcoin-cli, bitcoin-daemon, bitcoin-tx, bitcoin-unlimited
Submitter: uncle
Maintainer: tuxayo
Last Packager: tuxayo
Votes: 1
Popularity: 0.000000
First Submitted: 2015-12-31 03:33
Last Updated: 2017-07-22 04:00

Required by (5)

Sources (3)

Latest Comments

redfish commented on 2018-03-06 00:25

Maybe it's ok to delete this VCS package and just have a release package (bitcoin-unlimited). VCS packages are more useful when software is either very early in development or is very popular so users want the bleeding edge. Otherwise, it's probably not worth the effort to maintain two packages...

tuxayo commented on 2018-02-17 22:25

is anyone willing to maintain this package? I'm not using it anymore.

tuxayo commented on 2017-07-22 04:01

And now it works, using openssl-1.0

tuxayo commented on 2017-04-30 18:42

After some updates in Arch this week, it doesn't build.

I didn't have the time to troubleshoot that.

Here are some build logs with the errors for those interested.

https://framagit.org/snippets/467

edit: it seems it doesn't build with openssl 1.1.0

edit2: it will be supported soon! :) https://github.com/BitcoinUnlimited/BitcoinUnlimited/issues/503

tuxayo commented on 2017-04-09 00:28

@Spider.007 /srv/bitcoin doesn't belong to this package so I don't understand why uninstalling bitcoind-unlimited-git it would remove that folder.

Does anyone has an idea?

Spider.007 commented on 2017-03-24 08:33

When uninstalling or replacing this package it will remove your entire /srv/bitcoin directory; including 120GB of blocks, transaction meta-data and wallet.dat
Is this intentional?

tuxayo commented on 2017-03-23 16:07

Latest vulnerability has been fixed in the release branch.

tuxayo commented on 2017-03-15 09:41

Changing the package version and the branch=0.12.1bu → branch=release works to update the PKGBUILD

tuxayo commented on 2017-03-15 07:31

The current outdated version is not usable anymore:

https://www.reddit.com/r/btc/comments/5zei9k/bu_1011_hotfix_released/

https://www.reddit.com/r/btc/comments/5zgefe/this_was_an_orchestrated_attack/

My node crashed due to a SEGEV 12h ago, it might be due to the bug being exploited. And it looks like I was not alone: https://coin.dance/nodes/unlimited

dokuhebi commented on 2017-03-10 03:18

FYI during build:

configure: error: libevent not found.
==> ERROR: A failure occurred in build().
Aborting...

"pacman -S libevent" fixed the issue and allowed me to install.

All comments